/**
  *  \file planetscentral/host/install.h
  *  \brief Install Game Data
  */
#ifndef C2SERVER_PLANETSCENTRAL_HOST_INSTALL_H
#define C2SERVER_PLANETSCENTRAL_HOST_INSTALL_H

#include "game/playerset.h"
#include "cpluslib/string.h"
#include "planetscentral/dbclient/dbclient.h"

class Game;
class FileClient;

bool isPreciousFile(const string_t& name);
void installGameData(Game& game, GPlayerSet players, FileClient& file, string_t dirName);
void installFileMulti(Game& game, StringList_t& players, FileClient& file, string_t fileName, string_t fileContent, int32_t slot);
void installChangedGameFiles(Game& game, string_t player, int32_t slot, bool added);
void uninstallGameData(FileClient& file, string_t dirName);

#endif
