/**
  *  \file planetscentral/nntp/worker.h
  */
#ifndef C2SERVER_PLANETSCENTRAL_NNTP_WORKER_H
#define C2SERVER_PLANETSCENTRAL_NNTP_WORKER_H

#include <cstddef>

class Worker {
 public:
    Worker();
    virtual ~Worker();

    virtual void handleRead(const char* data, std::size_t size) = 0;
    virtual void handleWrite(std::size_t size) = 0;
    virtual std::size_t getBytesToSend(const char*& data) = 0;
    virtual bool isTerminated() = 0;
    virtual void markEndOfInput() = 0;

    int getId() const;

 private:
    int id;
};

#endif
